%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: Web application construction kit written in Python
Name: python-nevow
Version: 0.10.0
Release: 4%{?dist}
License: MIT
Group: Development/Languages
URL: http://divmod.org/trac/wiki/DivmodNevow
# Add ?format=raw to download...
Source: http://divmod.org/trac/attachment/wiki/SoftwareReleases/Nevow-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: python-twisted-core
Requires: python-twisted-web
BuildRequires: python-devel
BuildRequires: python-twisted-core
BuildRequires: python-twisted-web
# To fix up docs
Buildrequires: dos2unix
BuildArch: noarch

%description
Nevow (pronounced as the French "nouveau", or "noo-voh") is a web application
construction kit written in Python. It is designed to allow the programmer to
express as much of the view logic as desired in Python.


%prep
%setup -q -n Nevow-%{version}
# Convert all DOS files to UNIX
find examples \( -name '*.html' -o -name '*.xml' -o -name '*.css' \) \
    -exec dos2unix {} \;
# Remove +x from executable doc files
%{__chmod} -x examples/i18n/update-l10n examples/wsgi/test-cgi.py

# build script is broken when setuptools is installed. This problem surfaced
# only recently because setuptools is now being dragged in by the other
# dependencies. This needs a proper fix. Workaround for now:
sed -i 's|import setuptools|import setuptoolsBAD|' setup.py

%build
%{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}
# Install man page
%{__install} -D -p -m 0644 doc/man/nevow-xmlgettext.1 \
    %{buildroot}%{_mandir}/man1/nevow-xmlgettext.1


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE README examples/
%{_bindir}/nevow-xmlgettext
%{_bindir}/nit
%if 0%{?fedora} >= 9
%{python_sitelib}/Nevow-*.egg-info/
%endif
%{python_sitelib}/formless/
%{python_sitelib}/nevow/
%{python_sitelib}/twisted/plugins/nevow_widget.py*
%{_mandir}/man1/nevow-xmlgettext.1*


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Aug  1 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.10.0-3
- Workaround broken setuptools setup

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jun  7 2010 Matthias Saou <http://freshrpms.net/> 0.10.0-1
- Update to 0.10.0 (#600847).
- Don't include anything from doc/* as it doesn't seem usable in 0.10.0.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.32-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.32-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 10 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.9.32-1
- Update to 0.9.32

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.9.31-2
- Rebuild for Python 2.6

* Tue Sep  2 2008 Matthias Saou <http://freshrpms.net/> 0.9.31-1
- Update to 0.9.31 (seems to fix tracebacks with Twisted 8).
- Remove no longer included NEWS.txt.

* Sun Feb  3 2008 Matthias Saou <http://freshrpms.net/> 0.9.29-3
- Include NEWS.txt instead of the untouched ChangeLog.

* Sun Feb  3 2008 Matthias Saou <http://freshrpms.net/> 0.9.29-2
- Update to 0.9.29.
- Apparently, egg-info files are only installed on F-9+.

* Mon Dec 17 2007 Matthias Saou <http://freshrpms.net/> 0.9.26-1
- Update to 0.9.26.
- Include new egg directory and twisted/plugins/nevow_widget.py files.

* Tue Apr 10 2007 Matthias Saou <http://freshrpms.net/> 0.9.18-2
- Fix some end-of-line encodings and executable bits in the docs.

* Fri Mar 23 2007 Matthias Saou <http://freshrpms.net/> 0.9.18-1
- Update to 0.9.18.

* Fri Feb  9 2007 Matthias Saou <http://freshrpms.net/> 0.9.0-1
- Initial RPM release.

